export declare const FEATURE_EDITION_BURNABLE: {
    readonly name: "ERC1155Burnable";
    readonly namespace: "edition.burn";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155burnable";
        readonly contracts: "erc1155burnable";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: never[];
        stateMutability: string;
    }[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_CLAIM_CONDITIONS_V1: {
    readonly name: "ERC1155ClaimConditionsV1";
    readonly namespace: "edition.drop.claim";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155claimable";
        readonly contracts: "erc1155dropsinglephase";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_CLAIM_CONDITIONS_V2: {
    readonly name: "ERC1155ClaimConditionsV2";
    readonly namespace: "edition.drop.claim";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155claimable";
        readonly contracts: "erc1155claimconditions";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_CLAIM_PHASES_V2: {
    readonly name: "ERC1155ClaimPhasesV2";
    readonly namespace: "edition.drop.claim";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155claimable";
        readonly contracts: "erc1155claimphases";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_CLAIM_PHASES_V1: {
    readonly name: "ERC1155ClaimPhasesV1";
    readonly namespace: "edition.drop.claim";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155claimable";
        readonly contracts: "erc1155claimphases";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_CLAIM_CUSTOM: {
    readonly name: "ERC1155ClaimCustom";
    readonly namespace: "edition.drop.claim";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155claimable";
        readonly contracts: "erc1155claimcustom";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_REVEALABLE: {
    readonly name: "ERC1155Revealable";
    readonly namespace: "edition.drop.revealer";
    readonly docLinks: {
        readonly sdk: "sdk.drop.delayedreveal";
        readonly contracts: "erc1155revealable";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_LAZY_MINTABLE_V2: {
    readonly name: "ERC1155LazyMintableV2";
    readonly namespace: "edition.drop";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155droppable";
        readonly contracts: "lazymint";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {
        readonly ERC1155Revealable: {
            readonly name: "ERC1155Revealable";
            readonly namespace: "edition.drop.revealer";
            readonly docLinks: {
                readonly sdk: "sdk.drop.delayedreveal";
                readonly contracts: "erc1155revealable";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
    };
};
export declare const FEATURE_EDITION_LAZY_MINTABLE_V1: {
    readonly name: "ERC1155LazyMintableV1";
    readonly namespace: "edition.drop";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155droppable";
        readonly contracts: "lazymint";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {
        readonly ERC1155ClaimPhasesV1: {
            readonly name: "ERC1155ClaimPhasesV1";
            readonly namespace: "edition.drop.claim";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155claimable";
                readonly contracts: "erc1155claimphases";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
    };
};
export declare const FEATURE_EDITION_SIGNATURE_MINTABLE: {
    readonly name: "ERC1155SignatureMintable";
    readonly namespace: "edition.signature";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155signaturemintable";
        readonly contracts: "erc1155signaturemint";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        } | {
            name: string;
            type: string;
            internalType: string;
            components?: undefined;
        })[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: ({
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components?: undefined;
        } | {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
            components: {
                name: string;
                type: string;
                internalType: string;
            }[];
        })[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_BATCH_TRASNFERABLE: {
    readonly name: "ERC1155BatchTransferable";
    readonly namespace: "";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155";
        readonly contracts: "multicall";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
    }[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_BATCH_MINTABLE: {
    readonly name: "ERC1155BatchMintable";
    readonly namespace: "edition.mint.batch";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155batchmintable";
        readonly contracts: "erc1155batchmintable";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
    }[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_MINTABLE: {
    readonly name: "ERC1155Mintable";
    readonly namespace: "edition.mint";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155mintable";
        readonly contracts: "erc1155mintable";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: never[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {
        readonly ERC1155BatchMintable: {
            readonly name: "ERC1155BatchMintable";
            readonly namespace: "edition.mint.batch";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155batchmintable";
                readonly contracts: "erc1155batchmintable";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
            }[]];
            readonly features: {};
        };
    };
};
export declare const FEATURE_EDITION_ENUMERABLE: {
    readonly name: "ERC1155Enumerable";
    readonly namespace: "edition.query";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155";
        readonly contracts: "erc1155enumerable";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], {
        type: string;
        name: string;
        inputs: never[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
    }[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_UPDATABLE_METADATA: {
    readonly name: "ERC1155UpdatableMetadata";
    readonly namespace: "edition.metadata";
    readonly docLinks: {
        readonly sdk: "";
        readonly contracts: "";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], ({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[]];
    readonly features: {};
};
export declare const FEATURE_EDITION_SUPPLY: {
    readonly name: "ERC1155Supply";
    readonly namespace: "edition.supply";
    readonly docLinks: {
        readonly sdk: "";
        readonly contracts: "";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
    }[]];
    readonly features: {};
};
export declare const FEATURE_EDITION: {
    readonly name: "ERC1155";
    readonly namespace: "edition";
    readonly docLinks: {
        readonly sdk: "sdk.erc1155enumerable";
        readonly contracts: "erc1155";
    };
    readonly abis: readonly [({
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
        anonymous?: undefined;
    } | {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
        outputs?: undefined;
        stateMutability?: undefined;
    })[], {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        outputs: {
            name: string;
            type: string;
            internalType: string;
        }[];
        stateMutability: string;
    }[], {
        inputs: never[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[]];
    readonly features: {
        readonly ERC1155Supply: {
            readonly name: "ERC1155Supply";
            readonly namespace: "edition.supply";
            readonly docLinks: {
                readonly sdk: "";
                readonly contracts: "";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
            }[]];
            readonly features: {};
        };
        readonly ERC1155Burnable: {
            readonly name: "ERC1155Burnable";
            readonly namespace: "edition.burn";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155burnable";
                readonly contracts: "erc1155burnable";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: never[];
                stateMutability: string;
            }[]];
            readonly features: {};
        };
        readonly ERC1155Enumerable: {
            readonly name: "ERC1155Enumerable";
            readonly namespace: "edition.query";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155";
                readonly contracts: "erc1155enumerable";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], {
                type: string;
                name: string;
                inputs: never[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
            }[]];
            readonly features: {};
        };
        readonly ERC1155Mintable: {
            readonly name: "ERC1155Mintable";
            readonly namespace: "edition.mint";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155mintable";
                readonly contracts: "erc1155mintable";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {
                readonly ERC1155BatchMintable: {
                    readonly name: "ERC1155BatchMintable";
                    readonly namespace: "edition.mint.batch";
                    readonly docLinks: {
                        readonly sdk: "sdk.erc1155batchmintable";
                        readonly contracts: "erc1155batchmintable";
                    };
                    readonly abis: readonly [({
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                        }[];
                        anonymous: boolean;
                        outputs?: undefined;
                        stateMutability?: undefined;
                    })[], ({
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: never[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                        }[];
                        anonymous: boolean;
                        outputs?: undefined;
                        stateMutability?: undefined;
                    })[], {
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        stateMutability: string;
                    }[]];
                    readonly features: {};
                };
            };
        };
        readonly ERC1155LazyMintableV1: {
            readonly name: "ERC1155LazyMintableV1";
            readonly namespace: "edition.drop";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155droppable";
                readonly contracts: "lazymint";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {
                readonly ERC1155ClaimPhasesV1: {
                    readonly name: "ERC1155ClaimPhasesV1";
                    readonly namespace: "edition.drop.claim";
                    readonly docLinks: {
                        readonly sdk: "sdk.erc1155claimable";
                        readonly contracts: "erc1155claimphases";
                    };
                    readonly abis: readonly [({
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: ({
                            name: string;
                            type: string;
                            internalType: string;
                            components?: undefined;
                        } | {
                            name: string;
                            type: string;
                            internalType: string;
                            components: {
                                name: string;
                                type: string;
                                internalType: string;
                            }[];
                        })[];
                        outputs: never[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: ({
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                            components?: undefined;
                        } | {
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                            components: {
                                name: string;
                                type: string;
                                internalType: string;
                            }[];
                        })[];
                        anonymous: boolean;
                        outputs?: undefined;
                        stateMutability?: undefined;
                    })[]];
                    readonly features: {};
                };
            };
        };
        readonly ERC1155LazyMintableV2: {
            readonly name: "ERC1155LazyMintableV2";
            readonly namespace: "edition.drop";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155droppable";
                readonly contracts: "lazymint";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {
                readonly ERC1155Revealable: {
                    readonly name: "ERC1155Revealable";
                    readonly namespace: "edition.drop.revealer";
                    readonly docLinks: {
                        readonly sdk: "sdk.drop.delayedreveal";
                        readonly contracts: "erc1155revealable";
                    };
                    readonly abis: readonly [({
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                        }[];
                        anonymous: boolean;
                        outputs?: undefined;
                        stateMutability?: undefined;
                    })[], ({
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                        }[];
                        anonymous: boolean;
                        outputs?: undefined;
                        stateMutability?: undefined;
                    })[], ({
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        outputs: {
                            name: string;
                            type: string;
                            internalType: string;
                        }[];
                        stateMutability: string;
                        anonymous?: undefined;
                    } | {
                        type: string;
                        name: string;
                        inputs: {
                            name: string;
                            type: string;
                            indexed: boolean;
                            internalType: string;
                        }[];
                        anonymous: boolean;
                        outputs?: undefined;
                        stateMutability?: undefined;
                    })[]];
                    readonly features: {};
                };
            };
        };
        readonly ERC1155Revealable: {
            readonly name: "ERC1155Revealable";
            readonly namespace: "edition.drop.revealer";
            readonly docLinks: {
                readonly sdk: "sdk.drop.delayedreveal";
                readonly contracts: "erc1155revealable";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
        readonly ERC1155SignatureMintable: {
            readonly name: "ERC1155SignatureMintable";
            readonly namespace: "edition.signature";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155signaturemintable";
                readonly contracts: "erc1155signaturemint";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                } | {
                    name: string;
                    type: string;
                    internalType: string;
                    components?: undefined;
                })[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
        readonly ERC1155ClaimCustom: {
            readonly name: "ERC1155ClaimCustom";
            readonly namespace: "edition.drop.claim";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155claimable";
                readonly contracts: "erc1155claimcustom";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
        readonly ERC1155ClaimConditionsV1: {
            readonly name: "ERC1155ClaimConditionsV1";
            readonly namespace: "edition.drop.claim";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155claimable";
                readonly contracts: "erc1155dropsinglephase";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
        readonly ERC1155ClaimConditionsV2: {
            readonly name: "ERC1155ClaimConditionsV2";
            readonly namespace: "edition.drop.claim";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155claimable";
                readonly contracts: "erc1155claimconditions";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
        readonly ERC1155ClaimPhasesV2: {
            readonly name: "ERC1155ClaimPhasesV2";
            readonly namespace: "edition.drop.claim";
            readonly docLinks: {
                readonly sdk: "sdk.erc1155claimable";
                readonly contracts: "erc1155claimphases";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                outputs: never[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: ({
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components?: undefined;
                } | {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                    components: {
                        name: string;
                        type: string;
                        internalType: string;
                    }[];
                })[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
        readonly ERC1155UpdatableMetadata: {
            readonly name: "ERC1155UpdatableMetadata";
            readonly namespace: "edition.metadata";
            readonly docLinks: {
                readonly sdk: "";
                readonly contracts: "";
            };
            readonly abis: readonly [({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[], ({
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                outputs: {
                    name: string;
                    type: string;
                    internalType: string;
                }[];
                stateMutability: string;
                anonymous?: undefined;
            } | {
                type: string;
                name: string;
                inputs: {
                    name: string;
                    type: string;
                    indexed: boolean;
                    internalType: string;
                }[];
                anonymous: boolean;
                outputs?: undefined;
                stateMutability?: undefined;
            })[]];
            readonly features: {};
        };
    };
};
//# sourceMappingURL=erc1155-features.d.ts.map